/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/user_fom2.c $
 $LastChangedRevision: 121 $
 $Date: 2014-07-09 17:52:58 -0400 (Wed, 09 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 Previously part of :*/

/* ----------------------------- user_fom2.c -------------------------------

 This function computes a user-defined figure of merit.

 INPUTS:
 itr1 - array of length niters containing the iteration numbers for the
 first algorithm.
 itr2 - array of length niters containing the iteration numbers for the
 second algorithm.
 niters - number of iterations to be compared
 keywrd1 - string containing the keyword which defines the first algorithm.
 keywrd2 - string containing the keyword which defines the second algorithm.

 OUTPUTS:
 user1 - array of length niters containing the structural accuracy for
 the first algorithm.
 user2 - array of length niters containing the structural accuracy for
 the second algorithm.

 */

#include "experimenter.h"
#include "user_fom2.h"

void user_fom2(int* itr1, int* itr2, int niters, char* keywrd1, char* keywrd2, double* user1, double* user2)
{
	int i;

	for (i = 0; i < niters; i++)
	{/* this section is to be replaced */
		/* by the function to compute a */
		user1[i] = 0.0; /* user-defined figure of merit */
		user2[i] = 0.0;
	}
}
