#include <cstdlib>

#define USE_RAND48 1

#include <stdlib.h>
#include <DIGRand/DIGRand.h>

void Srand(unsigned int pSeed)
{
#if USE_RAND48
  srand48(pSeed);
#else
  srand(pSeed);
#endif
}
      
double Rand(void)
{
#if USE_RAND48
  return drand48();
#else
  return ((double) rand()) / (RAND_MAX + 1.0);
#endif
}
      
