#ifndef SUPERIOR_H_
#define SUPERIOR_H_

#include "sec_cri.h"
#include "nav.h"
#include "bdhk.h"

void initSuperiorization();
bool executeSuperiorization(REAL* recon, INTEGER* list, REAL* weight, INTEGER count, alg_class* algorithm);

extern class superior_class
{
	public:
	BOOLEAN superiorizationEnabled;
	INTEGER N;
	REAL a;
	REAL b;
	sec_cri_class* secondaryCriterion;
	nav_class* nonascendingVector;
	BOOLEAN report;
	REAL skips;
	INTEGER l;
	INTEGER alternativel;
	BOOLEAN positivity;
} SuperSet;

#endif
