/** @file image.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef IMAGE_H
#define IMAGE_H

// #include "variables.hpp"

class Snarkimage {
public:
    Snarkimage( int imagenumber, DIGDataFormat format );
    Snarkimage();
    ~Snarkimage();
    void readImage( int imagenumber, DIGDataFormat format );
    double** getImage();
    double getMin();
    double getMax();
    bool isLoaded();

    double **image;
    double max;
    double min;
    bool isloaded;
    DIGDataFormat fileformat;
private:
    double** matrix(int  nrl,int nrh,int ncl,int nch);
};

#endif // IMAGE_H
