/** @file trace.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef TRACEWINDOW_H
#define TRACEWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QFrame;
class QLabel;
class QPushButton;
class QRadioButton;

class tracewindow : public QDialog
{ 
    Q_OBJECT

public:
    tracewindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~tracewindow();
    QString getOutput();

    QLabel* tracelabel;
    QFrame* Line18;
    QGridLayout* tracebuttonslayout;
    QButtonGroup* tracebuttongroup;
    QRadioButton* tl0button;
    QRadioButton* tl1button;
    //    QRadioButton* tl2button;
    //    QRadioButton* tl4button;
    QRadioButton* tl5button;
    QRadioButton* tl6button;
    QRadioButton* tl7button;
    QRadioButton* tl8button;
    QRadioButton* tl10button;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
private slots:
      //void activateFields();
  //    void setTraceLevel(int l);
};

#endif // TRACEWINDOW_H
